<?php
if (!isset($_REQUEST['action']))
	$action = "voirMarques" ;
else
	$action = $_REQUEST['action'] ;
	
switch ($action)
{
    case 'voirMarques' : {
        $lesMarques = getLesMarques() ;
        include "vues/v_marque_liste.php" ;
        break ;
    }

    case 'ajouterMarque' : {
            include "vues/v_ajouter_marque.php" ;
            break ;
    }

    case 'validajout' : {
            $mq_libelle = $_POST['mq_libelle'] ;
            if(!empty($mq_libelle)){
                 ajouterMarque($mq_libelle) ;
            }
            else{
                echo'<p style = "color:red">Veulliez saissir une marque</p>';
            }
            
            $lesMarques = getLesMarques() ;
            include "vues/v_marque_liste.php" ;
            break ;
    }
}
?>